function star (points, inc)
% star(points, inc): Draw a star based on number of points and an increment

close all          % Close all figure windows
axis([-1 1 -1 1])  % Axis limits for the star (origin at center)
axis square equal
hold on            % All subsequent plot commands use current axes

%%% Do not change the code above %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%     Write your code below    %%%

ai = 360 / points;   % unit angle increment

for i = 1:points
    % Plot the points
    [x,y] = angle2xy(i*ai);
    plot(x, y, 'ro');
    
    % Plot the lines
    last_angle = (i+inc) * ai;
    [lastx, lasty] = angle2xy(last_angle);
    plot([x, lastx], [y, lasty], 'b-');
end

hold off
